AOZ Studio Beta - Bug #665

Alert boxes in AOZ Viewer do not wrap and/or scroll text properly.
02/16/2021 02:24 PM - Brian Flanagan

Status: Resolved Start date: 02/16/2021
Priority: High Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B10) u16

Affected version: 1.0.0 (B4)

Description

The alert boxes work fine when running in Browser, but not in AOZ Viewer.
The box should grow to fit text and/or allow text to scroll.
See attachment.

(Indirectly related to bug #662. Aside from the AOZ style, alert boxes should function as they do in a web browser.)

History

#1 - 02/16/2021 02:33 PM - Brian Flanagan
- File Chrome_Alert_Scrolls.png added

The alert in the snapshot was displayed by calling:
{ alert(Object.getOwnPropertyNames(aoz).toString()); }

#2 - 02/16/2021 02:42 PM - Brian Flanagan

I'd recommend wrapping on space, comma, or dash (similar to how a text editor or word processor wraps).

(Perhaps on ; as well?)

#3 - 02/16/2021 02:54 PM - Brian Flanagan
- File Long_Text_Fail.png added

Apparently, the alerts DO already wrap on spaces only, however, if the text is too long, they'll overflow vertically instead of scrolling and/or resizing
the box. (See attachment)

#4 - 03/09/2021 12:21 PM - Brian Flanagan

- Assignee set to Baptiste Bideaux

Re-tested in 1.0.0 (B4). Still fails.
See also Bug #662, #666. Look at more detailed updates on bug #666.

#5 - 03/09/2021 12:23 PM - Brian Flanagan
- Affected version changed from 1.0.0 (B3) to 1.0.0 (B4)

#6 - 03/20/2021 02:11 PM - Brian Flanagan

- Status changed from New to Resolved

Re-tested in 1.0.0 (B5). WORKING! :-)

#7 - 07/15/2021 10:50 AM - Brian Flanagan
- Status changed from Resolved to Feedback

- Priority changed from Normal to High

Now it's even worse. The alert box fails entirely when in AOZ mode.
(It works fine in the web browser.)

{ alert (Object.getOwnPropertyNames (this)); }

#8 - 09/06/2021 06:38 PM - Brian Flanagan
- Status changed from Feedback to Resolved

- Target version set to 1.0.0 (B10) u16

Re-tested in 1.0.0 (B10) u16

Works!

Files

Need_To_Wrap.png 89.9 KB 02/16/2021 Brian Flanagan
Chrome_Alert_Scrolls.png 45.4 KB 02/16/2021 Brian Flanagan
Long_Text_Fail.png 185 KB 02/16/2021 Brian Flanagan
